fixed.h File Reference

Go to the source code of this file.

## Macros

#define | MODNN(x) mod255(x)
#define | MM 8
#define | NN 255
#define | ALPHA_TO CCSDS_alpha_to
#define | INDEX_OF CCSDS_index_of
#define | GENPOLY CCSDS_poly
#define | NROOTS 32
#define | FCR 112
#define | PRIM 11
#define | IPRIM 116
#define | PAD pad

## Typedefs

typedef unsigned char | data_t

## Functions

static int | mod255 (int x)

## Variables

data_t | CCSDS_alpha_to []
data_t | CCSDS_index_of []
data_t | CCSDS_poly []

## Macro Definition Documentation

## ALPHA_TO

#define ALPHA_TO CCSDS_alpha_to

## FCR

#define FCR 112

## GENPOLY

#define GENPOLY CCSDS_poly

## INDEX_OF

#define INDEX_OF CCSDS_index_of

## IPRIM

#define IPRIM 116

## MM

#define MM 8

## MODNN

#define MODNN | ( |  | x | ) | mod255(x)

## NN

#define NN 255

## NROOTS

#define NROOTS 32

## PAD

#define PAD pad

## PRIM

#define PRIM 11

## Typedef Documentation

## data_t

typedef unsigned char data_t

## Function Documentation

## mod255()

static int mod255 | ( | int | x | ) |

inline static

## Variable Documentation

## CCSDS_alpha_to

data_t CCSDS_alpha_to[]

extern

## CCSDS_index_of

data_t CCSDS_index_of[]

extern

## CCSDS_poly

data_t CCSDS_poly[]

extern